<p align="center"> 
 <a href="https://orchid.software/"><img src="https://orchid.software/img/logo-laravel-style.svg" alt="Laravel Orchid" height="48"></a>
</p>


<h4 align="center">For the full documentation, visit <a href="http://orchid.software">orchid.software</a>.</h4>

<p align="center">
<a href="https://github.com/orchidsoftware/platform/actions"><img src="https://github.com/orchidsoftware/platform/workflows/Tests/badge.svg"></a>
<a href="https://codecov.io/gh/orchidsoftware/platform"><img src="https://codecov.io/gh/orchidsoftware/platform/branch/master/graph/badge.svg" /></a>
<a href="https://packagist.org/packages/orchid/platform"><img alt="Packagist" src="https://img.shields.io/packagist/dt/orchid/platform.svg"></a>
<a href="https://opencollective.com/orchid"><img src="https://img.shields.io/opencollective/all/orchid" alt="Open Collective backers and sponsors"></a>
</p>

## Introduction

Orchid is a free [Laravel](https://laravel.com) package that abstracts standard business logic and allows code-driven rapid application development of back office applications, admin/user panels and dashboards.

<a href="https://raw.githubusercontent.com/orchidsoftware/platform/master/.github/IMAGES/promo-full.png">
  <img src="https://raw.githubusercontent.com/orchidsoftware/platform/master/.github/IMAGES/promo-full.png" alt="Laravel Orchid Platform" align="center" />
</a>

### Interesting Features

- **Rapid Application Development** - Focus to PHP development and don't lose time with HTML, CSS, or JavaScript. Build application logic, not admin panels. Try our [quick start guide](https://orchid.software/en/docs/quickstart/) and kick-start your application's development.

- **Form Builder** - Prevent reinventing the wheel or forms. Orchid supports already [40+ form elements](https://orchid.software/en/docs/field/) "out of the box" and allows you to build all kinds of forms quickly.

- **Fast Loading Times** - Enjoy a SPA like performance! Transitions can be made without reloading a page and require no additional code. Thanks to the [Hotwire](https://hotwire.dev/) project, Orchid makes this a satisfying experience for you and your users.

- **Access Permissions & Roles** - Take advantage of [granular access permissions](https://orchid.software/en/docs/access/), based on a user’s identity and corresponding role membership.

- **Filtering & Sorting** - Offer your users the ability to filter and sort data quickly! Orchid uses an [Eloquent based filtering/sorting approach](https://orchid.software/en/docs/quickstart-sort-filter-table/).

- **Fast Full-Text Search** - Take advantage of the integrated [Laravel Scout based full-text search](https://orchid.software/en/docs/global-search/), that allows searching through all available content, and displaying search results almost instantly.

- **Multiple Notifications Types** - Orchid offers [various types of notifications](https://orchid.software/en/docs/alert/) and allows your application to keep your users informed appropriately.

 ### Live Demo
 
Curious but not (yet) in the mood to read the documentation? Click [here](https://demo.orchid.software/login), to experience a live demo of Orchid.
 
## Getting started

### Documentation

* 🌍 [Documentation & Quick Start Guide](https://orchid.software/en/docs)
* 🇷🇺 Чтобы ознакомиться с руководством, посетите сайт [orchid.software](https://orchid.software/ru/docs)

### Blog

Orchid's [blog](https://blog.orchid.software/) informs about news and announcements around Laravel Orchid, including related projects.

## Feedback/Support

We are continually trying to actively include feedback from the community in the development of Orchid. You help us a lot if you give us well structured and detailed feedback.

### GitHub

* Create [issues](https://github.com/orchidsoftware/platform/issues) to ask questions or report problems.
* Participate in [disccussions](https://github.com/orchidsoftware/platform/discussions) around Orchid and share your ideas/opinions.

### Telegram User Groups

* [Global Community](https://t.me/orchid_community)
* [Russian Community](https://t.me/orchid_russian_community)
* [Spanish Community](https://t.me/esLaravelOrchid)

### Discord
 
* [Discord](https://discord.gg/NxXhSHa5tq)

## Development

### Releasese Strategy

We like to keep things as modern as possible and have a "[release early, release often](https://en.wikipedia.org/wiki/Release_early,_release_often)" approach to major releases. Meaning, we won't wait an arbitrary number of months to accumulate significant changes and release the next major version. By releasing major versions often, new features will be out earlier, and upgrading between versions will be much easier.

### Changelog

We actively and continuously maintain a [changelog](CHANGELOG.md) that informs about Orchid's history of improvements, bug fixes and changes.

## Support Orchid

Thanks to our backers 🙏, Orchid is free for private and commercial purposes. 🎉

Voluntary donations are allowing us to spend more time improving Orchid for everyone! 👍

<a href="https://opencollective.com/orchid#backers" target="_blank"><img src="https://opencollective.com/orchid/sponsors.svg?width=838"></a>
<a href="https://opencollective.com/orchid#backers" target="_blank"><img src="https://opencollective.com/orchid/backers.svg?width=838"></a>

## License

Orchid is covered by the MIT license. Check [our license](LICENSE) for further information.
